#include <Servo.h>
Servo myServo;

#define IN_PIN 0
#define SERVO_PIN 9
 
int firstValue, secondValue; // Define Variables to store the analog Values

int oldVal= 0;
int newVal= 0;



 
void setup()
{
  myServo.attach(SERVO_PIN);
  Serial.begin(9600); //Open the Serial Port with baudrate set to 9600
}
 
void loop()
{
  
  newVal = analogRead(IN_PIN);
  newVal = (0.7*oldVal)+(0.3*newVal); //Smoothens out the value coming from the dial
  
  myServo.write(map(newVal, 0, 500, 0, 179));
  
  Serial.println(newVal);
  oldVal = newVal;
  

}
