#include <Servo.h>
Servo myServo;

#define IN_PIN 0
#define SERVO_PIN 9

#define LED 10

 
int firstValue, secondValue; // Define Variables to store the analog Values

int oldVal= 0;
int newVal= 0;
long timestamp=0;
 
void setup()
{
  myServo.attach(SERVO_PIN);
  Serial.begin(9600); //Open the Serial Port with baudrate set to 9600
  
  pinMode(LED, OUTPUT);
}
 
void loop()
{
  
  newVal = analogRead(IN_PIN);
  newVal = (0.7*oldVal)+(0.3*newVal); //Smoothens out the value coming from the dial
  
  // myServo.write(map(newVal, 0, 500, 0, 179));
  if(newVal >= oldVal+10 || newVal < oldVal-10)
  {
  myServo.write(map(newVal, 20, 500, 60, 150));  // Values Limit movement so arm doesnt get in the way of the sensors.
  
  timestamp = millis();
  digitalWrite(LED, HIGH);
  
  }
  
  Serial.println(newVal);
  oldVal = newVal;
  
  if(millis() - timestamp > 2000)
  {
  digitalWrite(LED, LOW);
  Serial.println(timestamp);
  }
  
  
  //digitalWrite(LED, HIGH);
  //delay(100);
  //digitalWrite(LED, LOW);
  //delay(100); 
 
  
 
  

}
